<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];

if ($_REQUEST["ctr"]) {
    $ctr = $_REQUEST["ctr"];
    $hide = $_REQUEST["hide"];
    $prodtype = $_REQUEST["prodtype"];
    $hide_var = "";

    if ($hide == 0) {
        $hide_var = 'style="display:none;"';
    }
    $mctr = $ctr;
    $mctr++;

    Echo "<tr>";
    Echo "<td><i class='fa fa-close remove' style=''></i></td>";
    Echo "<td><input type='text' class='form-control form text-right srno' name='srno_$ctr' value='$mctr'>
                                                      <input type='hidden' class='form-control form text-right purvouch' name='purvouch_$sctr' value=''>
                                                      <input type='hidden' class='form-control form text-right pursrno' name='pursrno_$sctr' value=''></td>";
//                                            Echo "<td>";
//                                            Echo "<input type='text' class='form-control form barcode' name='barcode_$ctr' value='$tran[barcode]'>";
//                                            Echo "</td>";
    Echo "<td>";
    Echo "<select class='form-control form item select2' name='item_$ctr' style='width:100%'>";
    Echo "<option value='$fitem[code]'>$fitem[name]</option>";
    $gitem = mysqli_query($conn, "SELECT `code`,`name` FROM `rawmat` order by name")or die(mysqli_error($conn));
    while ($item = mysqli_fetch_array($gitem)) {
        Echo "<option value='$item[code]'>$item[name]</option>";
    }
    Echo "</select>";
    Echo "<input type='hidden' class='msp' name='msp_$ctr' value='' >";
    Echo "<input type='hidden' class='otprowsucs' name='otprowsucs_$ctr' value='' >";
    Echo "</td>";
    Echo "<td>";
    Echo "<select class='form-control form color select2' name='color_$ctr' style='width:100%'>";
    Echo "<option value='$fcolor[code]'>$fcolor[name]</option>";
    $gcolor = mysqli_query($conn, 'SELECT `code`,`name` FROM `color` order by name')or die(mysqli_error($conn));
    while ($color = mysqli_fetch_array($gcolor)) {
        Echo "<option value='$color[code]'>$color[name]</option>";
    }
    Echo "</select>";
    echo "</td>";
//                                            Echo "<td><input type='text' class='form-control form hsncode'           name='hsncode_$ctr' value='$tran[hsncode]'></td>";
    Echo "<td><input type='text' class='form-control form text-right yard'   name='yard_$ctr'    value=''></td>";
    Echo "<td><input type='text' class='form-control form text-right meters' name='meters_$ctr'  value=''></td>";
    Echo "<td><input type='text' class='form-control form text-right qty'    name='qty_$ctr'     value=''></td>";
    Echo "<td><select class='form-control form calby ' name='calby_$ctr' style='width:100%'>";
    Echo "<option value='Q'>Qty</option>";
    Echo "<option value='M'>Meters</option>";
    Echo "<option value='Y'>Yard</option>";
    Echo "</select>";
    Echo "</td>";
//    Echo "<td><input type='text' class='form-control form unit'    name='unit_$ctr'     value='' readonly>";
//                                            Echo "<select class='form-control form unit select2' name='unit_$ctr' style='width:100%'>";
//                                            Echo "<option value='$funit[code]'>$funit[name]</option>";
//                                            $gunit = mysqli_query($conn, 'SELECT `code`,`name` FROM `unit`')or die(mysqli_error($conn));
//                                            while ($unit = mysqli_fetch_array($gunit)) {
//                                                Echo "<option value='$unit[code]'>$unit[name]</option>";
//                                            }
//                                            Echo "</select>";
    Echo "<input type='hidden' class='rawtype' name='rawtype_$ctr' value=''>";
    Echo "<input type='hidden' class='msp' name='msp_$ctr' >";
    Echo "<input type='hidden' class='otpvalue' id='otpvalue_$ctr' name='otpvalue_$ctr' value=''>";
//                                            Echo "</td>";
//                                            Echo "<td><input type='text' class='form-control form text-right mrp'      name='mrp_$ctr'      value='$tran[mrp]'></td>";
//                                            echo "<td><input type='text' name='ratebfdisc_$ctr' class='ratebfdisc form-control text-right  form'  value='$tran[ratebfdisc]' ></td>";
//                                            Echo "<td><input type='text' name='discount2_$ctr' class='discount2 form-control text-right  form'  value='$tran[discount2]' ></td>";
    Echo "<td><input type='text' class='form-control form text-right rate'     name='rate_$ctr'     value=''></td>";
    Echo "<td><input type='text' class='form-control form text-right amount'   name='amount_$ctr'   value='' readonly  tabindex='-1'>
                                            <input type='hidden' class='form-control form text-right mspamount'   name='mspamount_$ctr'   value='' readonly></td>";
//                                            Echo "<td><input type='text' name='discperc_$ctr' class='discperc form-control text-right  form'  value='$tran[discperc]' ></td>";
//                                            Echo "<td><input type='text' name='discamt_$ctr' class='discamt form-control text-right  form' tabindex='-1' value='$tran[discount]' readonly></td>";
//                                            Echo "<td><input type='text' name='subtot_$ctr' class='subtot form-control text-right  form' tabindex='-1' value='$tran[subtot]' readonly></td>";
//                                            Echo "<td><input type='text' name='cgstrate_$ctr' class='cgstrate form-control text-right  form' tabindex='-1' value='$tran[cgstrate]' readonly></td>";
//                                            Echo "<td><input type='text' name='cgstamt_$ctr' class='cgstamt form-control text-right  form' tabindex='-1' value='$tran[cgstamt]' readonly></td>";
//                                            Echo "<td><input type='text' name='sgstrate_$ctr' class='sgstrate form-control text-right  form' tabindex='-1' value='$tran[sgstrate]' readonly></td>";
//                                            Echo "<td><input type='text' name='sgstamt_$ctr' class='sgstamt form-control text-right  form' tabindex='-1' value='$tran[sgstamt]' readonly></td>";
////                                            Echo "<td><input type='text' name='igstrate_$ctr' class='igstrate form-control text-right  form' tabindex='-1' value='$tran[igstrate]' readonly></td>";
////                                            Echo "<td><input type='text' name='igstamt_$ctr' class='igstamt form-control text-right  form' tabindex='-1' value='$tran[igstamt]' readonly></td>";
//                                            Echo "<td><input type='text' name='total_$ctr' class='total form-control text-right  form' tabindex='-1' value='$tran[total]' readonly></td>";
    Echo "</tr >";
    $ctr++;
} else {
    echo "ERROR";
}
?>
 